<?php
	
	# Обработка форм тестов
	
	// Report all errors except E_NOTICE and E_WARNING
	error_reporting (E_ALL ^ E_NOTICE ^ E_WARNING);
	
	include_once "config.php";
	include_once "common.php";
	
	# Принимает данные из формы, 
	# отправляет письма с результатом на несколько адресов
	
	$emails_to = array(	"fevv@susu.ac.ru"
			);
	$fio;
	$group;
	$name;

	print "	<p><h2>Спасибо,
		<br>Ваш результат отправлен преподавателю</h2>
		<p><a href=\"javascript:history.back()\">Вернуться назад</a>";
	
	$date = date("d.m.y");
	
	$subject = "Результат теста по \"$name\"";
	$message = "
Здравствуйте,

$date поступил результат теста по \"$name\" от:

ФИО: $fio
Группа: $group

Результат: $r
";

	if ($handle = fopen ("log/tests.log.txt", "a"))
	{
		fwrite($handle, "--------------------------\n");
		fwrite($handle, $message);
		fclose($handle);
	}
		
	for ($i = 0; $i < count($emails_to); $i++)
	{
		mail(	$emails_to[$i], 
			$subject, 
			$message,
			"Content-Type: text/plain; charset=Windows-1251\r\n"
		);
	}
?>
